InvalidAlgorithmParameterException (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.security, class: InvalidAlgorithmParameterException
Keywords: java.security.InvalidAlgorithmParameterException class

# Class InvalidAlgorithmParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
java.security.InvalidAlgorithmParameterException

All Implemented Interfaces:
  `Serializable`

public class InvalidAlgorithmParameterException extends GeneralSecurityException
This is the exception for invalid or inappropriate algorithm parameters.

Since:
  1.2
See Also:
  - `AlgorithmParameters`
  - `AlgorithmParameterSpec`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidAlgorithmParameterException()`
  Constructs an `InvalidAlgorithmParameterException` with no detail message.
  `InvalidAlgorithmParameterException(String msg)`
  Constructs an `InvalidAlgorithmParameterException` with the specified detail message.
  `InvalidAlgorithmParameterException(String message, Throwable cause)`
  Creates an `InvalidAlgorithmParameterException` with the specified detail message and cause.
  `InvalidAlgorithmParameterException(Throwable cause)`
  Creates an `InvalidAlgorithmParameterException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidAlgorithmParameterException

    public InvalidAlgorithmParameterException()
    Constructs an `InvalidAlgorithmParameterException` with no detail message. A detail message is a `String` that describes this particular exception.

  - ### InvalidAlgorithmParameterException

    public InvalidAlgorithmParameterException(String msg)
    Constructs an `InvalidAlgorithmParameterException` with the specified detail message. A detail message is a `String` that describes this particular exception.
    Parameters:
      `msg` - the detail message.

  - ### InvalidAlgorithmParameterException

    public InvalidAlgorithmParameterException(String message, Throwable cause)
    Creates an `InvalidAlgorithmParameterException` with the specified detail message and cause.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.5

  - ### InvalidAlgorithmParameterException

    public InvalidAlgorithmParameterException(Throwable cause)
    Creates an `InvalidAlgorithmParameterException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.5